Bug 223224 - x11/qterminal: Update to 0.8.0
Summary: x11/qterminal: Update to 0.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on: 223209 223221
Blocks: 223225
  Show dependency treegraph
 
Reported: 2017-10-24 14:27 UTC by Olivier Duchateau
Modified: 2017-10-27 15:51 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jwb)


Attachments
Patch to update x11/qterminal (1.60 KB, patch)
2017-10-24 14:27 UTC, Olivier Duchateau
no flags Details | Diff
set maintainer (1.65 KB, patch)
2017-10-26 08:32 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2017-10-24 14:27:12 UTC
Created attachment 187437 [details]
Patch to update x11/qterminal

- Update to 0.8.0
- Adjust dependencies
- Switch to USES=lxqt
Comment 1 Jesper Schmitz Mouridsen freebsd_committer 2017-10-25 18:40:44 UTC
For all the recent work of Olivier Duchateau about qterminal and qtermwidget and more:

FYI

I have made a combined patch and rebuild the involved packages using poudriere. They all compile and runs.

https://bugs.freebsd.org/bugzilla/buglist.cgi?bug_id=223221%2C223224%2C223210%2C223220%2C223225%2C223215%2C223218%2C223212%2C223211%2C223216%2C223214%2C223213%2C223217%2C223219%2C223223&list_id=196058

I can pm the combined patch but I assume the all go into the ports tree one by one anyway within a short amount of time, because of the dependencies.
Comment 2 Olivier Duchateau 2017-10-25 20:05:43 UTC
(In reply to Jesper Schmitz Mouridsen from comment #1)

Another solution is to commit together Mk/Uses/lxde (bug #223209) and switch to USES=lxde for x11/qterminal and x11-toolkits (without update to 0.8.0).

With latest patch (bug #223209) MASTER_SITES in Makefile can be overridden e.g., in x11/qterminal's Makefile we can have:

MASTER_SITES= LXDE/qterminal
Comment 3 Jason W. Bacon freebsd_committer 2017-10-25 20:55:15 UTC
Actually, I'm going to suggest that Olivier (or someone else) take maintainership of this port.  My original interest in it was as a desktop-agnostic QT-based terminal application to use with Lumina.  As it's becoming more and more LXQT-dependent, someone with the LXQT project should take control of it.
Comment 4 Jesper Schmitz Mouridsen freebsd_committer 2017-10-25 21:57:51 UTC
(In reply to Jason Bacon from comment #3)
As I'm planning to become (one of) the maintainer(s) of LXQt see https://wiki.freebsd.org/LXQt I would be glad to take the maintainership of qterminal and qtermwidget as well.

And I'll at the same propose as in comment #1 to commit all the mentioned patches in one go with maintainer of qterminal, qtermwidget, qtermwidget-l10n and qterminal-l10n set to jesper@schmitz.computer
Comment 5 Jason W. Bacon freebsd_committer 2017-10-26 02:20:05 UTC
Great, I think the simplest way forward is for you update the patches to alter MAINTAINER, and I will approve the PRs without further delay.

I'd also offer a suggestion to pass upstream:

As qterminal was originally intended to be desktop-independent tool dependent only on QT, I think a name change to something like lxqterminal would be in order now that development has become LXQT-dependent.  Likewise for the latest qtermwidget.
Comment 6 Jesper Schmitz Mouridsen freebsd_committer 2017-10-26 08:32:23 UTC
Created attachment 187490 [details]
set maintainer

Change maintainer.
nothing else changed from: 
https://bz-attachments.freebsd.org/attachment.cgi?id=187437
Comment 7 Jason W. Bacon freebsd_committer 2017-10-26 14:05:36 UTC
Comment on attachment 187490 [details]
set maintainer

Approved.
Comment 8 commit-hook freebsd_committer 2017-10-27 15:50:51 UTC
A commit references this bug:

Author: swills
Date: Fri Oct 27 15:50:21 UTC 2017
New revision: 453005
URL: https://svnweb.freebsd.org/changeset/ports/453005

Log:
  x11/qterminal: Update to 0.8.0

  While here, set maintainer to Jesper Schmitz Mouridsen
  <jesper@schmitz.computer>, maintainer of other lxqt related ports.

  PR:		223224
  Submitted by:	Olivier Duchateau <duchateau.olivier@gmail.com>
  Approved by:	Jason Bacon <bacon4000@gmail.com> (maintainer)

Changes:
  head/x11/qterminal/Makefile
  head/x11/qterminal/distinfo
Comment 9 Steve Wills freebsd_committer 2017-10-27 15:51:29 UTC
Committed, thanks!